Package org.flowable.bpmn.model

# Class BoundaryEvent

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Event
org.flowable.bpmn.model.BoundaryEvent

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`, `HasInParameters`, `HasOutParameters`

public class BoundaryEvent extends Event

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Activity`
  `attachedToRef`
  `protected String`
  `attachedToRefId`
  `protected boolean`
  `cancelActivity`

  ### Fields inherited from class org.flowable.bpmn.model.Event

  `eventDefinitions, inParameters, outParameters`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoundaryEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoundaryEvent`
  `clone()`
  `Activity`
  `getAttachedToRef()`
  `String`
  `getAttachedToRefId()`
  `boolean`
  `isCancelActivity()`
  `void`
  `setAttachedToRef(Activity attachedToRef)`
  `void`
  `setAttachedToRefId(String attachedToRefId)`
  `void`
  `setCancelActivity(boolean cancelActivity)`
  `void`
  `setValues(BoundaryEvent otherEvent)`

  ### Methods inherited from class org.flowable.bpmn.model.Event

  `addEventDefinition, addInParameter, addOutParameter, getEventDefinitions, getInParameters, getOutParameters, setEventDefinitions, setInParameters, setOutParameters, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### attachedToRef

    protected Activity attachedToRef

  - ### attachedToRefId

    protected String attachedToRefId

  - ### cancelActivity

    protected boolean cancelActivity

- ## Constructor Details

  - ### BoundaryEvent

    public BoundaryEvent()

- ## Method Details

  - ### getAttachedToRef

    public Activity getAttachedToRef()

  - ### setAttachedToRef

    public void setAttachedToRef(Activity attachedToRef)

  - ### getAttachedToRefId

    public String getAttachedToRefId()

  - ### setAttachedToRefId

    public void setAttachedToRefId(String attachedToRefId)

  - ### isCancelActivity

    public boolean isCancelActivity()

  - ### setCancelActivity

    public void setCancelActivity(boolean cancelActivity)

  - ### clone

    public BoundaryEvent clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(BoundaryEvent otherEvent)